index all rss twitter github linkedin email

Álvaro Ramírez

23 April 2017 GnuPG and macOS

Had problems installing and using GnuPG on macOS, primarily for Emacs use:

gpg: problem with the agent: Inappropriate ioctl for device
gpg: error creating passphrase: Operation cancelled
gpg: symmetric encryption of '[stdin]' failed: Operation cancelled

Basic installation required:

brew install gnupg

But worked around the error above by using pinentry-mac (UI), instead of Emacs prompts.

brew install pinentry-mac

Edited ~/.gnupg/gpg-agent.conf with:

pinentry-program path/to/homebrew/bin/pinentry-mac

May need to kill gpg-agent to reload config.

gpgconf --kill gpg-agent